CREATE procedure [C6StagingPeriodico].[RP_ST_CATINAREA] as  
begin   
 -- Log esecuzione  
 INSERT INTO LOG_ESECUZIONE_PERIODICO  
  (Nome, Inizio, Nota)  
 VALUES (  
  'RP_ST_CATINAREA',  
  GETDATE(),  
  'Elaborazione Trimestrale'  
 )  
 truncate table C6StagingPeriodico.RP_CATINAREA  
 insert into C6StagingPeriodico.RP_CATINAREA  
 select * from CONSUNI.[CatalogoProdotti].dbo.CATINAREA  
 -- Log esecuzione  
 UPDATE  
  LOG_ESECUZIONE_PERIODICO  
 SET  
  Fine = GETDATE(),  
  Tipo = 'INSERT',  
  Righe = @@ROWCOUNT  
 WHERE  
  Nome = 'RP_ST_CATINAREA' AND  
  Inizio = (  
   SELECT  
    MAX(Inizio)  
   FROM  
    LOG_ESECUZIONE_PERIODICO  
   WHERE  
    Nome = 'RP_ST_CATINAREA'  
  )  
end